Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class ShareableProbabilityArrangeBase

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase

All Implemented Interfaces:
  ProbabilityArrangeMethod, Manageable, Shareable

Direct Known Subclasses:
  BernoulliProbability, BetaprimeProbability, BetaProbability, BinomialProbability, CauchyProbability, ChisquareProbability, ErlangProbability, FProbability, GammaProbability, GeometricProbability, InvgammaProbability, LogisticProbability, Lognormal2Probability, LognormalProbability, NegexpProbability, Normal2Probability, NormalProbability, ParetoProbability, PascalProbability, PoissonProbability, TstudentProbability, UniformProbability, WeibullProbability

    public abstract class ShareableProbabilityArrangeBase

extends ShareableBase
implements ProbabilityArrangeMethod

Field Summary
`protected int[]` | `probabilityValues`
`protected Distributions` | `source`

Constructor Summary
`ShareableProbabilityArrangeBase()`

Method Summary
`protected abstract void` | `calculate()`
`int[]` | `getProbabilityValues(int number, long seed)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### probabilityValues

    protected int[] probabilityValues

### source

    protected Distributions source

Constructor Detail

### ShareableProbabilityArrangeBase

    public ShareableProbabilityArrangeBase()

Method Detail

### calculate

    protected abstract void calculate()

### getProbabilityValues

    public int[] getProbabilityValues(int number,
                                      long seed)

  Specified by:
    `getProbabilityValues` in interface `ProbabilityArrangeMethod`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD